## ruby1.9.1 1.9.2.0

=== debian/changelog ===
ruby1.9.1 (1.9.2.0-2) unstable; urgency=low

  * Clarify versioning in package description to reduce 1.9.1 <-> 1.9.2
    confusion. Closes: #601526.
  * Remove README.Debian. It only contained outdated information.
  * Build with -mieee on SH4. Closes: #591785.
  * Update debian/NEWS to mention LOAD_PATH change. Closes: #593098.
  * ruby1.9.1: add Suggests on ruby1.9.1-dev as it is need to build
    many gems, and that's a FAQ.
  * ruby1.9.1-dev: mention building gems in package description.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 01 Nov 2010 09:03:33 +0100

ruby1.9.1 (1.9.2.0-1) unstable; urgency=high

  [ Lucas Nussbaum ]
  * New upstream release. The 1.9.2 branch was in deep freeze at the time of
    the last snapshot, and all the changes between that snapshot and the
    present final tarball are bugfixes, as shown by
    svn log -r28788:HEAD http://svn.ruby-lang.org/repos/ruby/branches/ruby_1_9_2
    Also, it sounds much easier to support a released version on the long
    term, rather than an SVN snapshot.
    Also fixes CVE-2010-0541. Closes: #593298.
    Could also improve kFreeBSD support as some changes are FreeBSD-related.
  * Add build-dependency on libyaml-dev to build psych, which is a new, faster
    YAML library provided in Ruby 1.9.2.

  [ Daigo Moriwaki ]
  * debian/watch: support new URL for Ruby 1.9.2.
  * debian/rules: DEB_BUILD_OPTIONS="nordoc" provides no-doc build for
    build testing.
  * Merged rubygems1.9.1: this package used to be provided by the libgems-ruby
    source package, but the version of rubygems provided by libgems-ruby is
    incompatible with Ruby 1.9.2. Also, Rubygems is shipped as part of Ruby.
    Closes: #588125

  [ Lucas Nussbaum ]
  * Provide a way to override Debian's disabling of gem update --system by
    setting an environment variable. This is the same change as the one done
    for libgems-ruby.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 11 Sep 2010 08:38:44 +0200

ruby1.9.1 (1.9.2~svn28788-1) unstable; urgency=low

  * New release based on upstream snapshot from the 1.9.2 branch,
    after 1.9.2 RC2. That branch is (supposed to be) binary-compatible
    with the 1.9.1 branch.
    + Builds fine on i386. Closes: #580852.
  * Upgrade to Standards-Version: 3.9.1. No changes needed.
  * Updated generated incs.
  * Patches that still need work:
    + Unclear status, need more investigation:
     090729_fix_Makefile_deps.dpatch
     090803_exclude_rdoc.dpatch
     203_adjust_base_of_search_path.dpatch
     902_define_YAML_in_yaml_stringio.rb.dpatch
     919_common.mk_tweaks.dpatch
     931_libruby_suffix.dpatch
     940_test_thread_mutex_sync_shorter.dpatch
    + Maybe not needed anymore, keeping but not applying.
     102_skip_test_copy_stream.dpatch (test doesn't block anymore?)
     104_skip_btest_io.dpatch (test doesn't block anymore?)
     201_gem_prelude.dpatch (we don't use that rubygems anyway?)
     202_gem_default_dir.dpatch (we don't use that rubygems anyway?)
     940_test_file_exhaustive_fails_as_root.dpatch
     940_test_priority_fails.dpatch
     100518_load_libc_libm.dpatch
  * Add disable-tests.diff: disable some tests that cause failures on FreeBSD.
    Closes: #590002, #543805, #542927.
  * However, many new failures on FreeBSD. Since that version is still an
    improvement, add the check that makes test suite failures non-fatal on
    FreeBSD again. That still needs to be investigated.
  * Re-add 903_skip_base_ruby_check.dpatch
  * Add build-dependency on ruby1.8 and drop all pre-generated files.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 31 Jul 2010 17:08:39 -0400

ruby1.9.1 (1.9.1.429-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 19 Jul 2010 22:02:35 +0900

ruby1.9.1 (1.9.1.378-4) unstable; urgency=low

  * Added debian/patches/100518_r26515_free_rb_classext.dpatch
    LP: #514322, LP: #529011
  * Added 100518_load_libc_libm.dpatch
    Fixes loading of libc and libm. Closes: #560293
  * Added 100518_r23483_suppress_pathname_warning.dpatch
    Remove warning in pathname.rb. Closes: #566612
  * Added 100518_r27464_threading_non-nptl.dpatch
    Fixes threading issues on kfreebsd. Closes: #542927
  * Make test suite failures on FreeBSD fatal.
  * Run the test suite on hppa too.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 18 May 2010 22:24:49 +0200

ruby1.9.1 (1.9.1.378-3) unstable; urgency=low

  * Added patches: 
    - debian/patches/100503_r27337_rb_string_value_cstr.dpatch
      Back port from the upstream r27337.
    - debian/patches/100503_r27356_queue_race.diff.dpatch
      Back port from the upstream r27356.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 04 May 2010 01:46:05 +0900

ruby1.9.1 (1.9.1.378-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Merge lib{dbm,gdbm,readline,openssl}-ruby1.9.1 into libruby1.9.1.
  * Merge irb1.9.1 and rdoc1.9.1 into ruby1.9.1. 
  * Update lintian override.
  * Update emacs dependency.
  * Fix ri1.9.1 dep: make it binNMUable again.
  * Update debian/copyright.
  * Upgrade to Standards-Version: 3.8.4. No changes needed.
  * Add lintian override for package-name-doesnt-match-sonames.
  * Remove duplicate section/priority stanzas.
  * Fix a few minor problems in manpages.

  [ Daigo Moriwaki ]
  * Added a patch:
    - debian/patches/100327_r24850_bootstraptest_test_thread.dpatch
      Back port from the upstream r24850, fixing a test failure.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 27 Mar 2010 11:00:48 +0900

ruby1.9.1 (1.9.1.378-1) unstable; urgency=medium

  * New upstream release
  * The upstream has fixed a vulnerability in WEBrick, a part of Ruby's
    standard library.  WEBrick lets attackers to inject malicious escape
    sequences to its logs, making it possible for dangerous control characters
    to be executed on a victim's terminal emulator. (Closes: #564646)


