=== debian/control ===
Source: ruby1.9.1
Section: ruby
Priority: optional
Maintainer: akira yamada <akira@debian.org>
Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Build-Depends: debhelper (>= 5), cdbs, quilt, patch, autoconf, m4, bison, libgdbm-dev, libncurses5-dev, libreadline5-dev, tcl8.4-dev, tk8.4-dev, zlib1g-dev, libssl-dev, procps, file, libffi-dev, ruby1.8, libyaml-dev
Standards-Version: 3.9.1
Homepage: http://www.ruby-lang.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-ruby/ruby1.9.1/trunk/
Vcs-Svn: svn://svn.debian.org/pkg-ruby/ruby1.9.1/trunk/

Package: ruby1.9.1
Architecture: any
Depends: libruby1.9.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: ruby1.9.1-examples, ri1.9.1, graphviz, ruby1.9.1-dev
Conflicts: rdoc1.9.1, irb1.9.1, rubygems1.9.1
Replaces: rdoc1.9.1, irb1.9.1, rubygems1.9.1
Provides: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby1.9.2
Description: Interpreter of object-oriented scripting language Ruby 1.9.2
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `1.9.1' indicates the Ruby library
 compatibility version. This package currently provides the `1.9.2'
 branch of Ruby, which is compatible with the `1.9.1' branch.

Package: libruby1.9.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
Replaces: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
Provides: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
Description: Libraries necessary to run Ruby 1.9.1
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the libruby, necessary to run Ruby 1.9. (API version
 1.9.1)

Package: libruby1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libruby1.9.1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Ruby 1.9.1
 Contains debugging symbols for libruby1.9.1.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: ruby1.9.1-dev
Architecture: any
Depends: libruby1.9.1 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Recommends: ruby1.9.1 (= ${binary:Version})
Description: Header files for compiling extension modules for the Ruby 1.9.1
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 1.9.1. It is also required to build
 many gems.

Package: libtcltk-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tcl/Tk interface for Ruby 1.9.1
 tcltklib is an extension library for Ruby 1.9.1.  It makes Ruby 1.9.1
 programs to be able to use low level interface for the Tcl/Tk.

Package: ruby1.9.1-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: ruby1.9.1 (>= ${source:Version})
Description: Examples for Ruby 1.9
 This package provides example programs about Ruby 1.9.1.
 .
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.

Package: ruby1.9.1-elisp
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Suggests: ruby1.9.1 (>= ${source:Version})
Conflicts: ruby-elisp (<< 1.8), ruby1.6-elisp, ruby1.7-elisp, ruby-beta-elisp, ruby1.8-elisp
Description: ruby-mode for Emacsen
 This package provides major-mode for editing Ruby scripts and some
 emacs-lisp programs for Ruby programmers.

Package: ri1.9.1
Architecture: all
Depends: ruby1.9.1 (>= ${source:Version}), ${misc:Depends}
Description: Ruby Interactive reference (for Ruby 1.9.1)
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides ri command and descriptions about Ruby 1.9.1.

Package: ruby1.9.1-full
Architecture: all
Depends: ruby1.9.1 (>= ${source:Version}), libruby1.9.1-dbg (>= ${source:Version}), ruby1.9.1-dev (>= ${source:Version}), ruby1.9.1-examples (>= ${source:Version}), ri1.9.1 (>= ${source:Version}), ${misc:Depends}
Recommends: libtcltk-ruby1.9.1 (>= ${source:Version})
Suggests: ruby1.9.1-elisp
Description: Ruby 1.9.1 full installation
 For many good reasons, the Ruby programming language is split in many
 small different packages. Installing this package will make sure you have
 all the packages that add up to a full Ruby installation, with the exception
 of the Tcl/Tk bindings for Ruby, which are only recommended.
 .
 This package installs the dependencies for Ruby 1.9.1.
