=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: akira yamada <akira@debian.org>
 Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
-Build-Depends: debhelper (>= 5), cdbs, quilt, patch, autoconf, m4, bison, libgdbm-dev, libncurses5-dev, libreadline5-dev, tcl8.4-dev, tk8.4-dev, zlib1g-dev, libssl-dev, procps, file, libffi-dev, ruby1.8, libyaml-dev
+Build-Depends: debhelper (>= 5), cdbs, quilt, patch, autoconf, m4, bison, libgdbm-dev, libncursesw5-dev, libncurses5-dev, libreadline5-dev, tcl8.4-dev, tk8.4-dev, zlib1g-dev, libssl-dev, procps, file, libffi-dev, ruby1.8, libyaml-dev
 Standards-Version: 3.9.1
 Homepage: http://www.ruby-lang.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ruby/ruby1.9.1/trunk/
@@ -13,9 +13,9 @@
 Architecture: any
 Depends: libruby1.9.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: ruby1.9.1-examples, ri1.9.1, graphviz, ruby1.9.1-dev
-Conflicts: rdoc1.9.1, irb1.9.1, rubygems1.9.1
+Conflicts: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby (<= 4.5), ri (<= 4.5)
 Replaces: rdoc1.9.1, irb1.9.1, rubygems1.9.1
-Provides: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby1.9.2
+Provides: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby1.9.2, ruby-interpreter
 Description: Interpreter of object-oriented scripting language Ruby 1.9.2
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -113,10 +113,12 @@
 Depends: ruby1.9.1 (>= ${source:Version}), libruby1.9.1-dbg (>= ${source:Version}), ruby1.9.1-dev (>= ${source:Version}), ruby1.9.1-examples (>= ${source:Version}), ri1.9.1 (>= ${source:Version}), ${misc:Depends}
 Recommends: libtcltk-ruby1.9.1 (>= ${source:Version})
 Suggests: ruby1.9.1-elisp
+Provides: ruby1.9.2-full
 Description: Ruby 1.9.1 full installation
  For many good reasons, the Ruby programming language is split in many
  small different packages. Installing this package will make sure you have
  all the packages that add up to a full Ruby installation, with the exception
  of the Tcl/Tk bindings for Ruby, which are only recommended.
  .
- This package installs the dependencies for Ruby 1.9.1.
+ This package installs the dependencies for Ruby compatibility version 1.9.1
+ (currently Ruby 1.9.2).
