=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 DEB_AUTO_UPDATE_AUTOCONF = YES
 
@@ -218,3 +217,4 @@
 	find $(CURDIR)/debian/etc -type f -name "*.in" | \
 	  while read fname; \
 	  do \
+	    sed -e 's/@@VERSION@@/1\.9\.1/g' -e 's/@@DOTLESS_VERSION@@/191/g' \
