## ruby1.9.1 1.9.2.290

=== debian/changelog ===
ruby1.9.1 (1.9.2.290-2) unstable; urgency=low

  * Add -fno-tree-sra on armel. Same workaround as for ruby1.8 (see #634260)

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 26 Jul 2011 15:23:12 +0200

ruby1.9.1 (1.9.2.290-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release.
  * Removed debian/patches/110411_disable_osslv2.patch, which has been applied
    by the upstream.
  * Added a patch: debian/patches/debian/patches/110716-bigdecimal,
    which was backported from the upstream (r30993)
    (CVE-2011-0188; Closes: 628450)

  [ Lucas Nussbaum ]
  * Build-depend on tcl-dev and tk-dev instead of {tcl,tk}8.4-dev.
  * Update Lucas' email address.
  * Add 110825-ossl-config.diff: backport changes to the OpenSSL
    extension to fix test failure.
  * Add patch 110720_tcltk_disable_rpath.diff: disable rpath in tcltk.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 25 Jul 2011 20:27:20 +0200

ruby1.9.1 (1.9.2.180-5) unstable; urgency=low

  * Build-depend on libreadline-gplv2-dev instead of libreadline5-dev. Ruby
    is dual-licensed under GPLv2 (only) || Ruby license, so we cannot use
    libreadline6-dev.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 15 May 2011 10:46:43 +0200

ruby1.9.1 (1.9.2.180-4) unstable; urgency=low

  [ Daigo Moriwaki ]
  * debian/control: Corrected wording. (Closes: #624574)

  [ Lucas Nussbaum ]
  * Change 01_default_gem_path.diff:
    + executables are now installed to /usr/local/bin.
    + but the other files created by rubygems stay in /var/lib/gems/.
    Several commenters in #448639 and #403407 argued in favor of the switch to
    /usr/local/bin. Those two bugs can therefore be closed. However, the issue
    is not completely solved, as rubygems still installs files in
    /var/lib/gems.
    Nobody in the bug logs explained why that was an issue. If you care about
    it, please open a new bug. Fixes the rubygems bugs: #448639, #403407
  * Update Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 03 May 2011 16:26:04 +0200

ruby1.9.1 (1.9.2.180-3) unstable; urgency=low

  * Remove --with-lookup-order-hack=INET.  That breaks IPv6-only systems. See
    #619209
  * Drop ruby1.9.1-elisp. The Ruby emacs mode is now provided in emacs 23.
  * Add patch 110411_disable_osslv2.patch
    Disables SSLv2. Closes: #620998
  * Move the ri1.9.1 binary and manpage to the ruby1.9.1 package. ri1.9.1 still
    exists, but only contains the documentation. This is needed to
    fix #621058.
  * Make libruby1.9.1 Conflict, Replace irb1.9.1, rdoc1.9.1. fixes #608582

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 12 Apr 2011 12:03:14 +0200

ruby1.9.1 (1.9.2.180-2) unstable; urgency=low

  * Switch to git. Update Vcs-*.
  * Upload to unstable.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 10:11:47 +0100
