=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: ruby
 Priority: optional
 Maintainer: akira yamada <akira@debian.org>
-Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
-Build-Depends: debhelper (>= 5), cdbs, quilt, patch, autoconf, m4, bison, libgdbm-dev, libncursesw5-dev, libncurses5-dev, libreadline5-dev, tcl8.4-dev, tk8.4-dev, zlib1g-dev, libssl-dev, procps, file, libffi-dev, ruby1.8, libyaml-dev
-Standards-Version: 3.9.1
+Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@debian.org>
+Build-Depends: debhelper (>= 5), cdbs, quilt, patch, autoconf, m4, bison, libgdbm-dev, libncursesw5-dev, libncurses5-dev, libreadline-gplv2-dev, tcl-dev, tk-dev, zlib1g-dev, libssl-dev, procps, file, libffi-dev, ruby1.8, libyaml-dev
+Standards-Version: 3.9.2
 Homepage: http://www.ruby-lang.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ruby/ruby1.9.1/trunk/
-Vcs-Svn: svn://svn.debian.org/pkg-ruby/ruby1.9.1/trunk/
+Vcs-Git: git://git.debian.org/collab-maint/ruby1.9.1.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/ruby1.9.1.git;a=summary
 
 Package: ruby1.9.1
 Architecture: any
 Depends: libruby1.9.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: ruby1.9.1-examples, ri1.9.1, graphviz, ruby1.9.1-dev
-Conflicts: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby (<= 4.5), ri (<= 4.5)
+Conflicts: rdoc1.9.1 (<< 1.9.1.378-2~), irb1.9.1 (<< 1.9.1.378-2~), rubygems1.9.1, ri1.9.1 (<< 1.9.2.180-3~), ruby (<= 4.5), ri (<= 4.5)
 Replaces: rdoc1.9.1, irb1.9.1, rubygems1.9.1
 Provides: rdoc1.9.1, irb1.9.1, rubygems1.9.1, ruby1.9.2, ruby-interpreter
 Description: Interpreter of object-oriented scripting language Ruby 1.9.2
@@ -30,8 +30,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
-Replaces: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
+Conflicts: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1, irb1.8 (<< 1.9.1.378-2~), rdoc1.8 (<< 1.9.1.378-2~)
+Replaces: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1, irb1.8, rdoc1.8
 Provides: libdbm-ruby1.9.1, libgdbm-ruby1.9.1, libreadline-ruby1.9.1, libopenssl-ruby1.9.1
 Description: Libraries necessary to run Ruby 1.9.1
  Ruby is the interpreted scripting language for quick and easy
@@ -39,8 +39,8 @@
  files and to do system management tasks (as in perl).  It is simple,
  straight-forward, and extensible.
  .
- This package includes the libruby, necessary to run Ruby 1.9. (API version
- 1.9.1)
+ This package includes the 'libruby-1.9.1' library, necessary to run Ruby 1.9.
+ (API version 1.9.1)
 
 Package: libruby1.9.1-dbg
 Section: debug
@@ -87,15 +87,6 @@
  files and to do system management tasks (as in perl).  It is simple,
  straight-forward, and extensible.
 
-Package: ruby1.9.1-elisp
-Architecture: all
-Depends: emacs | emacsen, ${misc:Depends}
-Suggests: ruby1.9.1 (>= ${source:Version})
-Conflicts: ruby-elisp (<< 1.8), ruby1.6-elisp, ruby1.7-elisp, ruby-beta-elisp, ruby1.8-elisp
-Description: ruby-mode for Emacsen
- This package provides major-mode for editing Ruby scripts and some
- emacs-lisp programs for Ruby programmers.
-
 Package: ri1.9.1
 Architecture: all
 Depends: ruby1.9.1 (>= ${source:Version}), ${misc:Depends}
@@ -107,12 +98,13 @@
  implements.
  .
  This package provides ri command and descriptions about Ruby 1.9.1.
+ This package provides the ri documentation for the Ruby 1.9.1 standard library.
+ The ri1.9.1 executable itself is in the ruby1.9.1 package.
 
 Package: ruby1.9.1-full
 Architecture: all
 Depends: ruby1.9.1 (>= ${source:Version}), libruby1.9.1-dbg (>= ${source:Version}), ruby1.9.1-dev (>= ${source:Version}), ruby1.9.1-examples (>= ${source:Version}), ri1.9.1 (>= ${source:Version}), ${misc:Depends}
 Recommends: libtcltk-ruby1.9.1 (>= ${source:Version})
-Suggests: ruby1.9.1-elisp
 Provides: ruby1.9.2-full
 Description: Ruby 1.9.1 full installation
  For many good reasons, the Ruby programming language is split in many
