=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 bin_dir = usr/bin
 man_dir = usr/share/man/man1
 
-el_dir = usr/share/emacs/site-lisp/ruby$(ruby_ver)-elisp
 el_etc = etc/emacs/site-start.d
 
 examples_dir = $(CURDIR)/debian/ruby$(ruby_ver)-examples/usr/share/doc/ruby$(ruby_ver)-examples/examples
@@ -39,6 +38,10 @@
 	CFLAGS += -g -O0
 else
 	CFLAGS += -g -O2
+# Workaround for #634260 (ruby1.8). Can be removed when #635126 is fixed.
+ifeq ($(DEB_BUILD_ARCH),armel)
+	CFLAGS += -fno-tree-sra
+endif
 endif
 ifneq (,$(findstring $(DEB_HOST_GNU_CPU),ia64))
 	CFLAGS := $(patsubst -O1,,$(CFLAGS))
@@ -73,7 +76,6 @@
 DEB_CONFIGURE_USER_FLAGS += --with-baseruby=/usr/bin/ruby1.8
 # the following are ignored by ./configure, but used by some extconf.rb scripts
 DEB_CONFIGURE_USER_FLAGS += --enable-ipv6
-DEB_CONFIGURE_USER_FLAGS += --with-lookup-order-hack=INET
 DEB_CONFIGURE_USER_FLAGS += --with-dbm-type=gdbm_compat
 DEB_CONFIGURE_USER_FLAGS += --with-tklib=tk$(tcltk_ver)
 DEB_CONFIGURE_USER_FLAGS += --with-tcllib=tcl$(tcltk_ver)
@@ -87,14 +89,6 @@
 else
 DEB_MAKE_BUILD_TARGET = main
 endif
-
-DEB_INSTALL_DIRS_ruby$(ruby_ver)-elisp += $(el_dir)
-DEB_INSTALL_DIRS_ruby$(ruby_ver)-elisp += $(el_etc)
-DEB_INSTALL_DOCS_ruby$(ruby_ver)-elisp += $(DEB_SRCDIR)/misc/README
-
-DEB_INSTALL_DIRS_ri$(ruby_ver) += $(bin_dir)
-DEB_INSTALL_DIRS_ri$(ruby_ver) += $(man_dir)
-DEB_INSTALL_MANPAGES_ri$(ruby_ver) += debian/manpages/ri$(ruby_ver).1
 
 DEB_INSTALL_DOCS_libtcltk-ruby$(ruby_ver) += $(DEB_SRCDIR)/ext/tk/README*
 DEB_INSTALL_DOCS_libtcltk-ruby$(ruby_ver) += $(DEB_SRCDIR)/ext/tk/MANUAL*
@@ -113,6 +107,7 @@
 DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/rdoc$(ruby_ver).1
 DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/irb$(ruby_ver).1
 DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/gem$(ruby_ver).1
+DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/ri$(ruby_ver).1
 
 DEB_INSTALL_DOCS_libruby$(ruby_libpkgsfx) += $(DEB_SRCDIR)/lib/README
 DEB_INSTALL_DOCS_libruby$(ruby_libpkgsfx) += $(DEB_SRCDIR)/doc/NEWS-1.8.7
@@ -218,3 +213,11 @@
 	  while read fname; \
 	  do \
 	    sed -e 's/@@VERSION@@/1\.9\.1/g' -e 's/@@DOTLESS_VERSION@@/191/g' \
+		< $$fname > `expr $$fname : '\(.*\)\.in$$'`1.9.1; \
+	  done; \
+	  : \
+	done
+	dh_install -p$(cdbs_curpkg) \
+	  debian/etc/bash_completion.d/gem1.9.1 etc/bash_completion.d/
+
+binary-install/ruby$(ruby_ver)-dev::
