=== debian/rules ===
--- 
+++ 
@@ -39,19 +39,9 @@
 else
 	CFLAGS += -g -O2
 # Workaround for #634260 (ruby1.8). Can be removed when #635126 is fixed.
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel sparc))
 	CFLAGS += -fno-tree-sra
 endif
-endif
-ifneq (,$(findstring $(DEB_HOST_GNU_CPU),ia64))
-	CFLAGS := $(patsubst -O1,,$(CFLAGS))
-	CFLAGS := $(patsubst -O2,,$(CFLAGS))
-	CFLAGS := $(patsubst -O3,,$(CFLAGS))
-	CFLAGS += -O0
-	CXXFLAGS := $(patsubst -O1,,$(CFLAGS))
-	CXXFLAGS := $(patsubst -O2,,$(CFLAGS))
-	CXXFLAGS := $(patsubst -O3,,$(CFLAGS))
-	CXXFLAGS += -O0
 endif
 
 # Renesas SH(sh4) needs -mieee option. #591785
@@ -143,13 +133,11 @@
 
 common-post-build-arch::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-# On FreeBSD, do not consider test suite failures as fatal
-ifeq ($(DEB_HOST_GNU_SYSTEM),kfreebsd-gnu)
-	-$(MAKE) OPTS=-v test
-else
-	$(MAKE) OPTS=-v test
-endif
-	-$(MAKE) OPTS=-v test-all
+# Disable test suites on some broken architectures.
+# See http://lists.debian.org/debian-release/2011/10/msg00279.html
+ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf ia64 sparc kfreebsd-i386 kfreebsd-amd64))
+	debian/run-test-suites.bash
+endif
 endif
 
 binary-install/libtcltk-ruby$(ruby_ver)::
@@ -221,3 +209,9 @@
 	  debian/etc/bash_completion.d/gem1.9.1 etc/bash_completion.d/
 
 binary-install/ruby$(ruby_ver)-dev::
+	dh_movefiles -p$(cdbs_curpkg) \
+	    usr/lib/libruby-$(ruby_ver).so \
+	    usr/lib/libruby-$(ruby_ver)-static.a \
+	    $(ruby_libdir)/mkmf.rb
+	(cd $(CURDIR)/debian/tmp && \
+	    find usr/include/ruby-$(ruby_ver) -name '*.h' -type f) | \
