=== debian/watch ===
version=3

opts="pasv,uversionmangle=s/-p/\./" \
ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-(1\.9\.3*)-p(\d*)\.tar\.gz debian uupdate
